Bug 237621 - xdm needs to use consolekit
xdm needs to use consolekit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: FutureFeature, Patch, Reopened, Triaged
: 435057 681321 689757 (view as bug list)
Depends On: 452156
Blocks: 226650 228110
  Show dependency treegraph
 
Reported: 2007-04-24 04:24 EDT by Patrice Dumas
Modified: 2012-04-11 10:44 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 10:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
consolekit support in xdmcp sessions (2.85 KB, patch)
2008-10-27 16:22 EDT, Patrice Dumas
no flags Details | Diff
many fixes in spec file, and also use the consolekit in xdmcp patch (4.42 KB, patch)
2008-10-27 16:23 EDT, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2007-04-24 04:24:03 EDT
Description of problem:

See Bug 228110. There is a pam module as explained in comment 15 in this
bug, but it needs some information from the display manager.

 In order to make fast-user switching
work, login managers now need to use ConsoleKit. This is done for gdm already
and it's explained here

 http://bugzilla.gnome.org/show_bug.cgi?id=365375

how this is done. See also

 http://fedoraproject.org/wiki/Desktop/FastUserSwitching

for more information about ConsoleKit.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrice Dumas 2007-04-24 04:27:55 EDT
wdm is based on an older version of xdm, I contacted the wdm
upstream maintainer to knwon how to get the device to set CKCON_TTY, 
but he hasn't answered yet. If I get a response I'll also say it 
there. And if you solve it here I'll try to adapt to wdm.
Comment 2 Adam Jackson 2007-05-18 14:28:32 EDT
We really don't encourage the use of xdm, nor am I particularly enthused about
enhancing it.  If someone wants to take this on that's fine, but I don't think
it qualifies as a release blocker by any means.
Comment 3 Jeremy Katz 2007-05-18 17:31:26 EDT
Still good to track it off of the console kit bug; I think I'll drop that from
the blocker list at this point instead of the other way around.
Comment 5 Patrice Dumas 2008-01-10 14:50:27 EST
To move on that I created little package that add:
    * Support for a session chooser using xsessions/*.desktop files
    * ConsoleKit session
at 
http://www.environnement.ens.fr/perso/dumas/xdm-ck-xsessions.html

I mailed sandmann about this after somebody told me that he was 
the xdm maintainer. Shouldn't he be in cc for that bug?
Comment 6 David Zeuthen 2008-02-27 21:45:49 EST
*** Bug 435057 has been marked as a duplicate of this bug. ***
Comment 7 George Billios 2008-03-21 17:11:05 EDT
One a bit off topic question, how to totally disable consolekit and all these
annoying - at least for me stuff? I don't need fast user switching etc.

Comment 8 David Zeuthen 2008-03-21 17:25:57 EDT
(In reply to comment #7)
> One a bit off topic question, how to totally disable consolekit and all these
> annoying - at least for me stuff? I don't need fast user switching etc.

It's a core OS service; it's not supposed to be turned off. But you may have
luck with 'rpm -e'. Good luck.
Comment 9 Patrice Dumas 2008-04-06 06:51:56 EDT
As I have repeatedly said, I have done something that allows to use xdm in
fedora with consolekit, described in comment #5. I can submit it to fedora as a
separate package for inclusion, or it can be added to xdm. I am ready to help,
but there is a need for someone to take care of the xdm side.
Comment 10 Patrice Dumas 2008-05-12 15:04:10 EDT
I have done a new release of my stuff to have xdm properly integrated:
http://www.environnement.ens.fr/perso/dumas/xdm-ck-xsessions-0.0.2.tar.gz

Also I have submitted Xdialog, that I use in that package:
https://bugzilla.redhat.com/show_bug.cgi?id=446102
Comment 11 Bug Zapper 2008-05-13 22:47:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Patrice Dumas 2008-10-27 16:22:47 EDT
Created attachment 321652 [details]
consolekit support in xdmcp sessions
Comment 13 Patrice Dumas 2008-10-27 16:23:53 EDT
Created attachment 321653 [details]
many fixes in spec file, and also use the consolekit in xdmcp patch
Comment 14 Patrice Dumas 2008-10-27 16:26:25 EDT
This patch is based on the kdm patch (itself more or less based on previous kdm patch and a patch I made for wdm/xdm), but I haven't tested it.

Could somebody who can please test it? 

If nobody can, maybe it may be wise to apply it in rawhide and ask on mailing lists for someebody willing to test?

I sent that patch to upstream.
Comment 15 Patrice Dumas 2008-10-29 05:23:53 EDT
More precisely I have tested that it doesn't disturb the local login, but I don't have currently a setup to test xdmcp.
Comment 16 Bug Zapper 2009-06-09 18:33:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-07-14 13:32:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Patrice Dumas 2009-10-22 15:41:59 EDT
Reopening, please reclose if xdmcp has been fixed and tested.
Comment 19 Matěj Cepl 2009-11-05 12:11:23 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 20 Patrice Dumas 2009-11-05 14:13:41 EST
Same version, no patch -> still not fixed.
Comment 21 Bug Zapper 2009-11-16 02:55:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-11-04 08:11:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-12-05 02:16:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Jonathan Kamens 2010-12-06 15:01:07 EST
As far as I can tell, this is still an issue.
Hard to understand why, when somebody has provided a patch.
Any way to do something about this?
Comment 25 Matěj Cepl 2011-03-07 10:16:50 EST
*** Bug 681321 has been marked as a duplicate of this bug. ***
Comment 26 Matěj Cepl 2011-03-23 04:01:17 EDT
*** Bug 689757 has been marked as a duplicate of this bug. ***
Comment 27 sd.domrep 2011-06-22 14:59:45 EDT
This issue or bug still exists.

May be someone will pay attention to this problem.

Thank you
Comment 28 Adam Jackson 2012-04-11 10:44:44 EDT
ConsoleKit is no more in F17+.

Note You need to log in before you can comment on or make changes to this bug.